<?php
/*
Plugin Name: Phone Repair Post Types and Shortcodes
Description: This plugin adds custom post types and shortcodes used by Phone Repair Theme.
Version: 1.7.2
Text Domain: phone-repair-plugin
Domain Path: /languages/
License: GPLv2
*/


define( 'PHONE_REPAIR_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'PHONE_REPAIR_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );


function phone_repair_plugin_install() {
	phone_repair_register_custom_post_types();
	flush_rewrite_rules();
}
register_activation_hook( __FILE__, 'phone_repair_plugin_install' );


function phone_repair_plugin_uninstall() {
	flush_rewrite_rules();
}
register_deactivation_hook( __FILE__, 'phone_repair_plugin_uninstall' );


function phone_repair_plugin_load_text_domain() {
	load_plugin_textdomain( 'phone-repair-plugin', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}
add_action( 'init', 'phone_repair_plugin_load_text_domain' );


/**
 * Helper functions.
 */
require PHONE_REPAIR_PLUGIN_DIR_PATH . 'functions.php';

/**
 * Custom post types.
 */
require PHONE_REPAIR_PLUGIN_DIR_PATH . 'post-types.php';

/**
 * Visual Composer Add-ons
 */
require PHONE_REPAIR_PLUGIN_DIR_PATH . 'visual-composer.php';
