<?php

function phone_repair_register_custom_post_types() {
	// Add Excerpt support for Pages
	add_post_type_support( 'page', 'excerpt' );
	// Service
	$service_labels = apply_filters( 'phone_repair_service_post_type_labels', array(
		'name'               => __( 'Services', 'phone-repair-plugin' ),
		'singular_name'      => __( 'Service', 'phone-repair-plugin' ),
		'add_new'            => __( 'Add New', 'phone-repair-plugin' ),
		'add_new_item'       => __( 'Add New Service', 'phone-repair-plugin' ),
		'edit_item'          => __( 'Edit Service', 'phone-repair-plugin' ),
		'new_item'           => __( 'New Service', 'phone-repair-plugin' ),
		'all_items'          => __( 'All Services', 'phone-repair-plugin' ),
		'view_item'          => __( 'View Service', 'phone-repair-plugin' ),
		'search_items'       => __( 'Search Services', 'phone-repair-plugin' ),
		'not_found'          => __( 'No Service found', 'phone-repair-plugin' ),
		'not_found_in_trash' => __( 'No Service found in Trash', 'phone-repair-plugin' ),
		'menu_name'          => __( 'Services', 'phone-repair-plugin' ),
		'parent_item'        => __( 'Parent Service', 'phone-repair-plugin' ),
		'parent_item_colon'  => __( 'Parent Service:', 'phone-repair-plugin' ),
	) );
	$service_args = apply_filters( 'phone_repair_service_post_type_args', array(
		'labels'             => $service_labels,
		'public'             => true,
		'show_ui'            => true,
		'menu_icon'          => 'dashicons-clipboard',
		'hierarchical'       => true,
		'has_archive'        => false,
		'map_meta_cap'       => true,
		'supports'           => array( 'title', 'editor', 'excerpt', 'thumbnail', 'page-attributes' ),
	) );
	register_post_type( 'service', $service_args );
	$service_category_labels = array(
		'name'               => __( 'Categories', 'phone-repair-plugin' ),
		'singular_name'      => __( 'Category', 'phone-repair-plugin' ),
		'menu_name'          => __( 'Categories', 'phone-repair-plugin' ),
		'search_items'       => __( 'Search categories', 'phone-repair-plugin' ),
		'all_items'          => __( 'All categories', 'phone-repair-plugin' ),
		'edit_item'          => __( 'Edit category', 'phone-repair-plugin' ),
		'update_item'        => __( 'Update category', 'phone-repair-plugin' ),
		'add_new_item'       => __( 'Add new category', 'phone-repair-plugin' ),
		'new_item_name'      => __( 'New category', 'phone-repair-plugin' ),
	);
	$service_category_args = array(
		'labels'             => $service_category_labels,
		'show_ui'            => true,
		'show_tagcloud'      => false,
		'show_admin_column'  => true,
	);
	register_taxonomy( 'service_category', 'service', $service_category_args );

	// Testimonial
	$testimonial_labels = apply_filters( 'phone_repair_testimonial_post_type_labels', array(
		'name'               => __( 'Testimonials', 'phone-repair-plugin' ),
		'singular_name'      => __( 'Testimonial', 'phone-repair-plugin' ),
		'add_new'            => __( 'Add New', 'phone-repair-plugin' ),
		'add_new_item'       => __( 'Add New Testimonial', 'phone-repair-plugin' ),
		'edit_item'          => __( 'Edit Testimonial', 'phone-repair-plugin' ),
		'new_item'           => __( 'New Testimonial', 'phone-repair-plugin' ),
		'all_items'          => __( 'All Testimonials', 'phone-repair-plugin' ),
		'view_item'          => __( 'View Testimonial', 'phone-repair-plugin' ),
		'search_items'       => __( 'Search Testimonials', 'phone-repair-plugin' ),
		'not_found'          => __( 'No Testimonial found', 'phone-repair-plugin' ),
		'not_found_in_trash' => __( 'No Testimonial found in Trash', 'phone-repair-plugin' ),
		'menu_name'          => __( 'Testimonials', 'phone-repair-plugin' ),
		'parent_item'        => __( 'Parent Testimonial', 'phone-repair-plugin' ),
		'parent_item_colon'  => __( 'Parent Testimonial:', 'phone-repair-plugin' ),
	) );
	$testimonial_args = apply_filters( 'phone_repair_testimonial_post_type_args', array(
		'labels'             => $testimonial_labels,
		'public'             => true,
		'show_ui'            => true,
		'menu_icon'          => 'dashicons-format-quote',
		'has_archive'        => false,
		'map_meta_cap'       => true,
		'supports'           => array( 'title', 'excerpt', 'thumbnail', 'page-attributes' ),
	) );
	register_post_type( 'testimonial', $testimonial_args );
}
add_action( 'init', 'phone_repair_register_custom_post_types' );
