<?php
if ( ! class_exists( 'WPBakeryShortCode_brtm_info_box' ) ) {
	class WPBakeryShortCode_brtm_info_box extends WPBakeryShortCode {
	}
}

return array(
	'base' => 'brtm_info_box',
	'name' => esc_html__( 'BT Info Box', 'phone-repair-plugin' ),
	'category' => esc_html__( 'BrothersTheme', 'phone-repair-plugin' ),
	'html_template' => PHONE_REPAIR_VC_SHORTCODES_PATH . 'brtm-info-box/shortcode.php',
	'params' => array(
		phone_repair_get_vc_template_param( 'brtm_info_box_templates' ),
		array(
			'type'       => 'attach_image',
			'heading'    => esc_html__( 'Image', 'phone-repair-plugin' ),
			'param_name' => 'image_id',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'phone-repair-plugin' ),
			'param_name' => 'title',
			'admin_label' => true,
		),
		array(
			'type'       => 'textarea_html',
			'heading'    => esc_html__( 'Text', 'phone-repair-plugin' ),
			'param_name' => 'content',
			'holder' => 'div',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'phone-repair-plugin' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'phone-repair-plugin' ),
		),
		// Icon options
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon Library', 'phone-repair-plugin' ),
			'value' => array(
				esc_html__( 'No Icon', 'phone-repair-plugin' ) => 'no',
				esc_html__( 'Entypo', 'phone-repair-plugin' ) => 'entypo',
				esc_html__( 'Font Awesome', 'phone-repair-plugin' ) => 'fontawesome',
				esc_html__( 'Linecons', 'phone-repair-plugin' ) => 'linecons',
				esc_html__( 'Mono Social', 'phone-repair-plugin' ) => 'monosocial',
				esc_html__( 'Open Iconic', 'phone-repair-plugin' ) => 'openiconic',
				esc_html__( 'Themify', 'phone-repair-plugin' ) => 'themify',
				esc_html__( 'Typicons', 'phone-repair-plugin' ) => 'typicons',
			),
			'param_name' => 'icon_font',
			'description' => esc_html__( 'Select icon library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_fontawesome',
			'value' => 'fa fa-adjust',
			'settings' => array(
				'emptyIcon' => false,
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'fontawesome',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_openiconic',
			'value' => 'vc-oi vc-oi-dial',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'openiconic',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'openiconic',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_typicons',
			'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'typicons',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'typicons',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_entypo',
			'value' => 'entypo-icon entypo-icon-note',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'entypo',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'entypo',
			),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_linecons',
			'value' => 'vc_li vc_li-heart',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'linecons',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'linecons',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_monosocial',
			'value' => 'vc-mono vc-mono-fivehundredpx',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'monosocial',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'monosocial',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'param_name' => 'icon_themify',
			'value' => 'ti-pencil',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'themify',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value' => 'themify',
			),
			'description' => esc_html__( 'Select icon from library.', 'phone-repair-plugin' ),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Icon Color', 'phone-repair-plugin' ),
			'param_name' => 'icon_color',
			'dependency' => array(
				'element' => 'icon_font',
				'value_not_equal_to' => 'no',
			),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon Size', 'js_composer' ),
			'param_name' => 'icon_size',
			'value' => array(
				esc_html__( 'Extra Small', 'phone-repair-plugin' ) => 'xs',
				esc_html__( 'Small', 'phone-repair-plugin' ) => 'sm',
				esc_html__( 'Medium', 'phone-repair-plugin' ) => 'md',
				esc_html__( 'Large', 'phone-repair-plugin' ) => 'lg',
				esc_html__( 'Extra Large', 'phone-repair-plugin' ) => 'xl',
			),
			'std' => 'md',
			'dependency' => array(
				'element' => 'icon_font',
				'value_not_equal_to' => 'no',
			),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon Position', 'phone-repair-plugin' ),
			'param_name' => 'icon_position',
			'value' => array(
				esc_html__( 'Top', 'phone-repair-plugin' ) => 'top',
				esc_html__( 'Left', 'phone-repair-plugin' ) => 'left',
				esc_html__( 'Right', 'phone-repair-plugin' ) => 'right',
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value_not_equal_to' => 'no',
			),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Align content and icon', 'phone-repair-plugin' ),
			'param_name' => 'valign_center',
			'dependency' => array(
				'element' => 'icon_position',
				'value' => array( 'left', 'right' ),
			),
			'group' => esc_html__( 'Icon', 'phone-repair-plugin' ),
			'description' => esc_html__( 'If checked, icon and content will be aligned vertically in the middle.', 'phone-repair-plugin' ),
		),
		// Design options
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'phone-repair-plugin' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'phone-repair-plugin' ),
		),
	),
);
