<?php
if ( ! class_exists( 'WPBakeryShortCode_brtm_post_carousel' ) ) {
	class WPBakeryShortCode_brtm_post_carousel extends WPBakeryShortCode {
	}
}

return array(
	'base' => 'brtm_post_carousel',
	'name' => esc_html__( 'BT Post Carousel', 'phone-repair-plugin' ),
	'category' => esc_html__( 'BrothersTheme', 'phone-repair-plugin' ),
	'html_template' => PHONE_REPAIR_VC_SHORTCODES_PATH . 'brtm-post-carousel/shortcode.php',
	'params' => array(
		array(
			'param_name' => 'title',
			'type' => 'textfield',
			'holder' => 'h3',
			'heading' => esc_html__( 'Title', 'phone-repair-plugin' ),
			'value' => esc_html__( 'Posts', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'loop',
			'heading' => esc_html__( 'Query', 'phone-repair-plugin' ),
			'param_name' => 'loop',
			'value' => 'size:5|post_type:post',
			'settings' => array(),
		),
		phone_repair_get_vc_template_param( 'brtm_post_carousel_item_templates', 'item_template', esc_html__( 'Item style', 'phone-repair-plugin' ) ),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Disable preview image', 'phone-repair-plugin' ),
			'param_name' => 'disable_preview_image',
		),
		array(
			'type'        => 'textfield',
			'param_name'  => 'image_size',
			'heading'     => esc_html__( 'Preview Image size', 'phone-repair-plugin' ),
			'description' => esc_html__( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height).', 'phone-repair-plugin' ),
			'value'       => '',
			'dependency'  => array(
				'element'  => 'disable_preview_image',
				'is_empty' => true,
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Auto rotate', 'phone-repair-plugin' ),
			'param_name' => 'interval',
			'value' => array(
				__( 'Disable', 'phone-repair-plugin' ) => 0,
				3,
				5,
				10,
				15,
			),
			'description' => esc_html__( 'Auto rotate each X seconds.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Read more link text', 'phone-repair-plugin' ),
			'param_name' => 'read_more_link_text',
			'value' => esc_html__( 'Read more', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'phone-repair-plugin' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'phone-repair-plugin' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'phone-repair-plugin' ),
		),
	),
);
