<?php
if ( ! class_exists( 'WPBakeryShortCode_brtm_post_grid' ) ) {
	class WPBakeryShortCode_brtm_post_grid extends WPBakeryShortCode {
	}
}

return array(
	'base' => 'brtm_post_grid',
	'name' => esc_html__( 'BT Post Grid', 'phone-repair-plugin' ),
	'category' => esc_html__( 'BrothersTheme', 'phone-repair-plugin' ),
	'html_template' => PHONE_REPAIR_VC_SHORTCODES_PATH . 'brtm-post-grid/shortcode.php',
	'params' => array(
		phone_repair_get_vc_template_param( 'brtm_post_grid_item_templates', 'item_template', esc_html__( 'Item template', 'phone-repair-plugin' ) ),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout method', 'phone-repair-plugin' ),
			'param_name' => 'layout_method',
			'value' => array(
				esc_html__( 'Grid', 'phone-repair-plugin' ) => 'grid',
				esc_html__( 'Masonry', 'phone-repair-plugin' ) => 'masonry',
			),
		),
		array(
			'type' => 'loop',
			'heading' => esc_html__( 'Query', 'phone-repair-plugin' ),
			'param_name' => 'loop',
			'value' => 'size:5|post_type:post',
			'settings' => array(),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Disable preview image', 'phone-repair-plugin' ),
			'param_name' => 'disable_preview_image',
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show filter', 'phone-repair-plugin' ),
			'param_name' => 'show_filter',
			'value' => array( esc_html__( 'Yes', 'phone-repair-plugin' ) => 'yes' ),
			'description' => esc_html__( 'Append filter to grid.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Filter by', 'phone-repair-plugin' ),
			'param_name' => 'filter_source',
			'value' => phone_repair_get_taxonomies_for_filter(),
			'dependency' => array(
				'element' => 'show_filter',
				'value' => array( 'yes' ),
			),
			'save_always' => true,
			'description' => esc_html__( 'Select filter source.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Default filter title', 'phone-repair-plugin' ),
			'param_name' => 'filter_default_title',
			'value' => esc_html__( 'All', 'phone-repair-plugin' ),
			'description' => esc_html__( 'Default title for "All items" filter option.', 'phone-repair-plugin' ),
			'dependency' => array(
				'element' => 'show_filter',
				'value' => array( 'yes' ),
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Read more link text', 'phone-repair-plugin' ),
			'param_name' => 'read_more_link_text',
			'value' => esc_html__( 'Read more', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'phone-repair-plugin' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'phone-repair-plugin' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'phone-repair-plugin' ),
		),
	),
);
