<?php

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

if ( empty( $loop ) ) {
	return;
}
$query = false;
list( $loop_args, $query ) = vc_build_loop_query( $loop, get_the_ID() );
if ( ! $query ) {
	return;
}

if ( ! ( $item_template_path = phone_repair_find_template_path( $item_template ) ) ) {
	$item_template_path = PHONE_REPAIR_PLUGIN_DIR_PATH . 'templates/post-teaser-default.php';
}

$grid_class = 'post-grid js-post-grid';
$grid_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$grid_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $grid_class, $this->settings['base'], $atts );

$item_class = '';
$item_read_more_text = $read_more_link_text;

$all_terms = array();
?>

<div class="<?php echo esc_attr( $grid_class ) ?>" data-layout-method="<?php echo esc_attr( $layout_method ) ?>">
	<div class="post-grid__items js-post-grid__items">
		<?php
		if ( $query->have_posts() ) {
			while ( $query->have_posts() ) {
				$query->the_post();
				$item_thumbnail_id = false;
				if ( ! $disable_preview_image && has_post_thumbnail() ) {
					$item_thumbnail_id = get_post_thumbnail_id();
				}
				$post = get_post();
				echo '<div class="post-grid__item js-post-grid__item"';
				if ( 'yes' === $show_filter ) {
					$terms = phone_repair_get_the_terms( $post, $filter_source );
					if ( is_wp_error( $terms ) || empty( $terms ) ) {
						echo ' data-groups="[]"';
					} else {
						$all_terms = array_merge( $all_terms, $terms );
						echo ' data-groups="' . esc_attr( '["' . join( '","', $terms ) . '"]' ) . '"';
					}
				}
				echo '>';
				require $item_template_path;
				echo '</div>';
			}
			wp_reset_postdata();
		}
		?>
	</div>
	<?php if ( ! empty( $all_terms ) ) : ?>
		<?php
		$all_terms = array_unique( $all_terms );
		sort( $all_terms );
		?>
		<div class="post-grid__filters js-post-grid__filters">
			<button class="post-grid__filter js-post-grid__filter is-active" data-group="all"><?php echo esc_html( $filter_default_title ) ?></button>
			<?php foreach ( $all_terms as $term ) : ?>
				<button class="post-grid__filter js-post-grid__filter" data-group="<?php echo esc_attr( $term ) ?>"><?php echo esc_html( $term ) ?></button>
			<?php endforeach ?>
		</div>
	<?php endif ?>
</div>
