<?php
if ( ! class_exists( 'WPBakeryShortCode_brtm_post_teaser' ) ) {
	class WPBakeryShortCode_brtm_post_teaser extends WPBakeryShortCode {
	}
}

return array(
	'base' => 'brtm_post_teaser',
	'name' => esc_html__( 'BT Post Teaser', 'phone-repair-plugin' ),
	'category' => esc_html__( 'BrothersTheme', 'phone-repair-plugin' ),
	'html_template' => PHONE_REPAIR_VC_SHORTCODES_PATH . 'brtm-post-teaser/shortcode.php',
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Post ID', 'phone-repair-plugin' ),
			'param_name' => 'post_id',
			'description' => esc_html__( 'Enter the numerical ID of the Post, Page or Service you want to display. ', 'phone-repair-plugin' ),
			'admin_label' => true,
		),
		phone_repair_get_vc_template_param( 'brtm_post_teaser_templates' ),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Disable preview image', 'phone-repair-plugin' ),
			'param_name' => 'disable_preview_image',
		),
		array(
			'type'  => 'attach_image',
			'heading' => esc_html__( 'Override Featured Image', 'phone-repair-plugin' ),
			'param_name' => 'image_id',
			'description' => esc_html__( 'If set, this image will be displayed instead of Featured image of the post.', 'phone-repair-plugin' ),
			'dependency' => array(
				'element' => 'disable_preview_image',
				'value_not_equal_to' => 'true',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Read more link text', 'phone-repair-plugin' ),
			'param_name' => 'read_more_link_text',
			'value' => esc_html__( 'Read more', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'phone-repair-plugin' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'phone-repair-plugin' ),
		),
		// Design options
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'phone-repair-plugin' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'phone-repair-plugin' ),
		),
	),
);
