<?php
if ( ! class_exists( 'WPBakeryShortCode_brtm_testimonials' ) ) {
	class WPBakeryShortCode_brtm_testimonials extends WPBakeryShortCode {
	}
}

return array(
	'base' => 'brtm_testimonials',
	'name' => __( 'BT Testimonials Carousel', 'phone-repair-plugin' ),
	'category' => esc_html__( 'BrothersTheme', 'phone-repair-plugin' ),
	'html_template' => PHONE_REPAIR_VC_SHORTCODES_PATH . 'brtm-testimonials/shortcode.php',
	'params' => array(
		array(
			'param_name' => 'title',
			'type' => 'textfield',
			'holder' => 'h3',
			'heading' => __( 'Title', 'phone-repair-plugin' ),
			'value' => __( 'Testimonials', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Items count', 'phone-repair-plugin' ),
			'param_name' => 'count',
			'value' => 3,
			'description' => __( 'Enter number of testimonials to display (Note: Enter "all" to display all).', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Auto rotate', 'phone-repair-plugin' ),
			'param_name' => 'interval',
			'value' => array(
				3,
				5,
				10,
				15,
				__( 'Disable', 'phone-repair-plugin' ) => 0,
			),
			'description' => __( 'Auto rotate each X seconds.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Order by', 'phone-repair-plugin' ),
			'param_name' => 'orderby',
			'value' => array(
				__( 'Date', 'phone-repair-plugin' ) => 'date',
				__( 'ID', 'phone-repair-plugin' ) => 'ID',
				__( 'Author', 'phone-repair-plugin' ) => 'author',
				__( 'Title', 'phone-repair-plugin' ) => 'title',
				__( 'Modified', 'phone-repair-plugin' ) => 'modified',
				__( 'Random', 'phone-repair-plugin' ) => 'rand',
				__( 'Comment count', 'phone-repair-plugin' ) => 'comment_count',
				__( 'Menu order', 'phone-repair-plugin' ) => 'menu_order',
			),
			'description' => sprintf( __( 'Select how to sort retrieved posts. More at %s.', 'phone-repair-plugin' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Sort order', 'phone-repair-plugin' ),
			'param_name' => 'order',
			'value' => array(
				__( 'Descending', 'phone-repair-plugin' ) => 'DESC',
				__( 'Ascending', 'phone-repair-plugin' ) => 'ASC',
			),
			'description' => sprintf( __( 'Select ascending or descending order. More at %s.', 'phone-repair-plugin' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'phone-repair-plugin' ),
			'param_name' => 'el_class',
			'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'phone-repair-plugin' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => __( 'CSS box', 'phone-repair-plugin' ),
			'param_name' => 'css',
			'group' => __( 'Design Options', 'phone-repair-plugin' ),
		),
	),
);
