<?php

extract( shortcode_atts( array(
	'width'       => '1/2',
	'el_position' => '',
	'title'       => __( 'Testimonials', 'phone-repair-plugin' ),
	'order'       => 'DESC',
	'orderby'     => 'date',
	'count'       => 3,
), $atts ) );

$css_class = 'testimonials-carousel owl-carousel';
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $css_class, $this->settings['base'], $atts );
$query = new WP_Query( array(
	'post_type'      => 'testimonial',
	'order'          => $order,
	'orderby'        => $orderby,
	'posts_per_page' => $count,
) );
?>

<div class="module">
	<h2 class="module__title"><?php echo $title // WPCS: XSS OK ?></h2>
	<div class="module__content <?php echo esc_attr( $css_class ) ?>">
		<?php
		if ( $query->have_posts() ) {
			while ( $query->have_posts() ) {
				$query->the_post();
		?> 
		<div class="testimonials-carousel__item testimonial-item">
			<?php the_post_thumbnail( 'thumbnail', array( 'class' => 'testimonial-item__image' ) ) ?> 
			<div class="testimonial-item__body">
				<h3 class="testimonial-item__title"><?php the_title() ?></h3>
				<div class="testimonial-item__text"><?php echo get_the_excerpt() // WPCS: XSS OK. ?></div>
			</div>
		</div>
		<?php
			}
			wp_reset_postdata();
		}
		?> 
	</div>
</div>
