<?php
get_header();
$page404_image = get_theme_mod( 'phone_repair_404_image', '' );
$page404_class = 'page404';
if ( empty( $page404_image ) ) {
	$page404_class .= ' page404--no-image';
}
?>

<div class="<?php echo esc_attr( $page404_class ) ?>">
	<div class="page404__body">
		<h1 class="page404__title">404</h1>
		<p><?php echo esc_html( 'The page page you are looking for doesn\'t exist.', 'phone-repair' ) ?></p>
		<div class="page404__links">
			<?php if ( isset( $_SERVER['HTTP_REFERER'] ) ) : ?>
				<a href="<?php echo esc_url( $_SERVER['HTTP_REFERER'] ) ?>" class="page404__link"><?php echo esc_html( 'Go back', 'phone-repair' ) ?></a>
			<?php endif ?>
			<a href="<?php echo esc_url( home_url( '/' ) ) ?>" class="page404__link"><?php echo esc_html( 'Home page', 'phone-repair' ) ?></a>
		</div>
	</div>
	<?php if ( ! empty( $page404_image ) ) : ?>
		<img src="<?php echo esc_url( $page404_image ) ?>" alt="" class="page404__image">
	<?php endif; ?>
</div>

<?php get_footer();
