<?php

function phone_repair_register_carbon_fields() {
	require_once get_template_directory() . '/inc/carbon-fields/carbon-fields-config.php';
}
add_action( 'carbon_register_fields', 'phone_repair_register_carbon_fields' );

if ( function_exists( 'carbon_get_post_meta' ) ) {
	function phone_repair_get_post_meta( $id, $name, $type = null ) {
		return carbon_get_post_meta( $id, $name, $type );
	}

	function phone_repair_get_the_post_meta( $name, $type = null ) {
		if ( function_exists( 'is_shop' ) && is_shop() ) {
			return carbon_get_post_meta( wc_get_page_id( 'shop' ), $name, $type );
		} elseif ( is_home() || is_category() || is_search() || is_tag() || is_tax() ) {
			return carbon_get_post_meta( get_option( 'page_for_posts' ), $name, $type );
		} else {
			return carbon_get_the_post_meta( $name, $type );
		}
	}
} else {
	function phone_repair_get_post_meta( $id, $name, $type = null ) {
		if ( 'complex' !== $type ) {
			return get_post_meta( $id, '_' . $name, true );
		} else {
			return array();
		}
	}

	function phone_repair_get_the_post_meta( $name, $type = null ) {
		if ( 'complex' !== $type ) {
			if ( is_home() || is_category() || is_search() || is_tag() || is_tax() ) {
				return get_post_meta( get_option( 'page_for_posts' ), '_' . $name, true );
			} else {
				return get_post_meta( get_the_ID(), '_' . $name, true );
			}
		} else {
			return array();
		}
	}
}
