<?php

/**
 * Returns i18n friendly Google Fonts url.
 * As described in https://themeshaper.com/2014/08/13/how-to-add-google-fonts-to-wordpress-themes/
 */
function phone_repair_google_fonts_url() {
	/* Translators: If there are characters in your language that are not
	 * supported by Montserrat, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$montserrat = _x( 'on', 'Montserrat font: on or off', 'phone-repair' );

	/* Translators: If there are characters in your language that are not
	 * supported by Lato, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$lato = _x( 'on', 'Lato font: on or off', 'phone-repair' );

	if ( 'off' === $montserrat && 'off' === $lato ) {
		return '';
	}

	$fonts = array();

	if ( 'off' !== $montserrat ) {
		$fonts[] = 'Montserrat:400,700';
	}

	if ( 'off' !== $lato ) {
		$fonts[] = 'Lato:300,300i,400,400i,700,700i,900,900i';
	}

	$query_args = array(
		'family' => urlencode( implode( '|', $fonts ) ),
		'subset' => urlencode( 'latin,latin-ext' ),
	);

	return esc_url_raw( add_query_arg( $query_args, '//fonts.googleapis.com/css' ) );
}


function phone_repair_is_vc_enabled_on_page( $post = null ) {
	$vc_status = get_post_meta( $post, '_wpb_vc_js_status', true );
	return $vc_status && 'false' !== $vc_status;
}
