<?php

function phone_repair_get_inline_styles() {
	$css = '';
	// Header background.
	$header_bg = array();
	$header_image_url = phone_repair_get_the_post_meta( 'phone_repair_header_image' );
	if ( empty( $header_image_url ) ) {
		$header_image_url = get_header_image();
	}
	if ( ! empty( $header_image_url ) ) {
		$header_bg['background-image'] = 'url(' . $header_image_url . ')';
		$header_bg['background-repeat'] = get_theme_mod( 'phone_repair_header_image_repeat' );
		$pos_x = get_theme_mod( 'phone_repair_header_image_position_x' );
		$pos_y = get_theme_mod( 'phone_repair_header_image_position_y' );
		$header_bg['background-position'] = $pos_x . ' ' . $pos_y;
	}
	$header_bg['background-color'] = get_theme_mod( 'phone_repair_page_title_background_color' );
	if ( ! empty( $header_bg ) ) {
		$header_bg_css = '';
		foreach ( $header_bg as $key => $value ) {
			if ( ! empty( $value ) ) {
				$header_bg_css .= $key . ':' . $value . ';';
			}
		}
		if ( ! empty( $header_bg_css ) ) {
			$css .= '.header-background {' . $header_bg_css . '}';
		}
	}
	// Footer background.
	$footer_bg_col = get_theme_mod( 'phone_repair_footer_background_color' );
	if ( ! empty( $footer_bg_col ) ) {
		$css .= '.footer-widgets {background-color:' . $footer_bg_col . '}';
	}
	return apply_filters( 'phone_repair_inline_styles', $css );
}
